# HttpResponseException

open class HttpResponseException(response: Response, message: String?, cause: Throwable?) : NetException
Content copied to clipboard

实现该接口表示Http请求成功

## See also

com.drake.net.exception.ResponseException

HttpStatusCode 200...299

com.drake.net.exception.RequestParamsException

HttpStatusCode 400...499

com.drake.net.exception.ServerResponseException

HttpStatusCode 500...599

## Constructors

HttpResponseException
Link copied to clipboard
fun HttpResponseException(response: Response, message: String? = null, cause: Throwable? = null)
Content copied to clipboard

## Properties

response
Link copied to clipboard
open val response: Response
Content copied to clipboard

## Inheritors

ConvertException
Link copied to clipboard
DownloadFileException
Link copied to clipboard
RequestParamsException
Link copied to clipboard
ResponseException
Link copied to clipboard
ServerResponseException
Link copied to clipboard